[bumpversion]
current_version = 0.2.0
commit = True
tag = True
tag_name = {new_version}
parse = (?P<major>\d+)\.(?P<minor>\d+)\.(?P<patch>\d+)?
serialize = 
	{major}.{minor}.{patch}

[metadata]
name = wbpOutput
version = attr: wbpOutput.__version__
author = Andreas Eigendorf
description = Output panel for Workbench applications.
long_description = file: README.md
long_description_content_type = text/markdown
license = MIT
license_files = LICENSE
url = https://gitlab.com/workbench2/workbench-plugins/wbpoutput
platforms = 
	WIN32
	WIN64
	OSX
	POSIX
keywords = 
	workbench
	wxPython
	GUI
classifiers = 
	Development Status :: 4 - Beta
	License :: OSI Approved :: MIT License
	Operating System :: MacOS
	Operating System :: Microsoft :: Windows
	Operating System :: POSIX
	Environment :: MacOS X :: Cocoa
	Environment :: Win32 (MS Windows)
	Environment :: X11 Applications :: GTK
	Programming Language :: Python :: 3
	Programming Language :: Python :: 3.8
	Programming Language :: Python :: 3.9
	Programming Language :: Python :: 3.10
	Programming Language :: Python :: 3.11
	Intended Audience :: Developers
	Topic :: Software Development :: Libraries
	Topic :: Software Development :: User Interfaces

[options]
package_dir = 
	=Lib
packages = find:
python_requires = >=3.8
install_requires = 
	wbBase>=0.2

[options.packages.find]
where = Lib

[options.entry_points]
wbbase.plugin = output = wbpOutput

[bumpversion:file:Lib/wbpOutput/__init__.py]
search = __version__ = "{current_version}"
replace = __version__ = "{new_version}"

[tox:tox]
min_version = 4.6
env_list = 
	py38
	py39
	py310
	py311

[testenv]
deps = 
	pytest
	pytest-cov
	coverage
commands = 
	pytest --cov=wbpOutput --cov-report html:coverage.html

[tool:pytest]
junit_family = legacy
testpaths = 
	tests
